std::locale::global(3)

NAME
std::locale::global - std::locale::global

Synopsis
   Defined in header <locale>
   static locale global( const locale& loc );
   Replaces the global C++ locale with loc, which means all future calls to the
   std::locale default constructor will now return a copy of loc. If loc has a name,
   also replaces the C locale as if by std::setlocale(LC_ALL, loc.name().c_str());.
   This function is the only way to modify the global C++ locale, which is otherwise
   equivalent to std::locale::classic() at program startup.

Parameters
   loc - the new global C++ locale

Return value
   The previous value of the global C++ locale.

Example
    This section is incomplete
    Reason: no example

See also
   constructor constructs a new locale
                 (public member function)
   classic obtains a reference to the "C" locale
   [static] (public static member function)
   setlocale gets and sets the current C locale
                 (function)